Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class MetadataType

    java.lang.Object
      org.apache.cxf.ws.addressing.MetadataType

    public class MetadataType

extends java.lang.Object

Java class for MetadataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MetadataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<java.lang.Object>` | `any`

Constructor Summary
`MetadataType()`

Method Summary
`java.util.List<java.lang.Object>` | `getAny()` Gets the value of the any property.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected java.util.List<java.lang.Object> any

Constructor Detail

### MetadataType

    public MetadataType()

Method Detail

### getAny

    public java.util.List<java.lang.Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF